// polinomio.h - Declaración de la clase CPolinomio
//
#if !defined( _CPOLINOMIO_H_ )
#define _CPOLINOMIO_H_
#include <vector>
#include "termino.h" // clases CTermino

//////////////////////////////////////////////////////////////////
// Clase para manipular ecuaciones algebraicas o polinómicas
// dependientes de una variable.	
class CPolinomio
{
  private:
    std::vector<CTermino> polinomio; // matriz inicialmente vacía

  public:
    CPolinomio(); // constructor
    size_t ObtenerNroTerminos() { return polinomio.size(); }
    void AsignarTermino(CTermino);
    void Sumar(CPolinomio&, CPolinomio&);
    void CPolinomio::VisualizarPol();
};
//////////////////////////////////////////////////////////////////	

#endif // _CPOLINOMIO_H_

